GeneratorContext (Groovy 5.0.6)

Package: org.codehaus.groovy.classgen

## [Java] Class GeneratorContext

- org.codehaus.groovy.classgen.GeneratorContext

-     public class GeneratorContext
      extends Object

  A context shared across generations of a class and its inner classes.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GeneratorContext(CompileUnit compileUnit)`
    `GeneratorContext(CompileUnit compileUnit, int innerClassOffset)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static String` | `encodeAsValidClassName(String name)`
    `` | `public CompileUnit` | `getCompileUnit()`
    `` | `public String` | `getNextClosureInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)`
    `` | `public String` | `getNextConstructorReferenceSyntheticMethodName(MethodNode enclosingMethodNode)`
    `` | `public int` | `getNextInnerClassIdx()`
    `` | `public String` | `getNextLambdaInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public GeneratorContext(CompileUnit compileUnit)

    - #### public GeneratorContext(CompileUnit compileUnit, int innerClassOffset)

  - ### Method Detail

    - #### public static String encodeAsValidClassName(String name)

    - #### public CompileUnit getCompileUnit()

    - #### public String getNextClosureInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)

    - #### public String getNextConstructorReferenceSyntheticMethodName(MethodNode enclosingMethodNode)

    - #### public int getNextInnerClassIdx()

    - #### public String getNextLambdaInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)